[arch-commits] Commit in python-openstackclient/repos/community-any (2 files)

Felix Yan felixonmars at archlinux.org
Tue Mar 19 17:25:16 UTC 2019


    Date: Tuesday, March 19, 2019 @ 17:25:14
  Author: felixonmars
Revision: 442776

archrelease: copy trunk to community-any

Added:
  python-openstackclient/repos/community-any/PKGBUILD
    (from rev 442775, python-openstackclient/trunk/PKGBUILD)
Deleted:
  python-openstackclient/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  100 ++++++++++++++++++++-----------------------------------------
 1 file changed, 33 insertions(+), 67 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-19 17:24:58 UTC (rev 442775)
+++ PKGBUILD	2019-03-19 17:25:14 UTC (rev 442776)
@@ -1,67 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-
-pkgbase=python-openstackclient
-pkgname=(python-openstackclient python2-openstackclient)
-pkgver=3.18.0
-pkgrel=1
-pkgdesc="OpenStack Command-line Client"
-arch=('any')
-url="https://docs.openstack.org/python-openstackclient/latest/"
-license=('Apache')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-babel'
-             'python2-babel' 'python-cliff' 'python2-cliff' 'python-keystoneclient'
-             'python2-keystoneclient' 'python-keystoneauth1' 'python2-keystoneauth1'
-             'python-osc-lib' 'python2-osc-lib' 'python-oslo-utils' 'python2-oslo-utils'
-             'python-oslo-i18n' 'python2-oslo-i18n' 'python-openstacksdk' 'python2-openstacksdk'
-             'python-glanceclient' 'python2-glanceclient' 'python-novaclient' 'python2-novaclient'
-             'python-cinderclient' 'python2-cinderclient')
-checkdepends=('python-oslotest' 'python2-oslotest' 'python-requests-mock' 'python2-requests-mock'
-              'python-testrepository' 'python2-testrepository')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/python-openstackclient/archive/$pkgver.tar.gz")
-sha512sums=('0b3b70649ce063155df85d4132be1cf598e97e734acfe24976b3dfaf91a6c8c9b982aff959beca8ed5deebbc9d33e1aeac6577ce85823fe7bfdf01fd5644a62d')
-
-export PBR_VERSION=$pkgver
-
-prepare() {
-  cp -a python-openstackclient-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/python-openstackclient-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/python-openstackclient-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/python-openstackclient-$pkgver
-  python setup.py testr || warning "Tests failed: https://storyboard.openstack.org/#!/story/2003143"
-
-  cd "$srcdir"/python-openstackclient-$pkgver-py2
-  PYTHON=python2 python2 setup.py testr || warning "Tests failed: https://storyboard.openstack.org/#!/story/2003143"
-}
-
-package_python-openstackclient() {
-  depends=('python-six' 'python-pbr' 'python-babel' 'python-cliff' 'python-keystoneclient'
-           'python-keystoneauth1' 'python-osc-lib' 'python-oslo-utils' 'python-oslo-i18n'
-           'python-openstacksdk' 'python-glanceclient' 'python-novaclient' 'python-cinderclient')
-
-  cd "$srcdir"/python-openstackclient-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-openstackclient() {
-  depends=('python2-six' 'python2-pbr' 'python2-babel' 'python2-cliff' 'python2-keystoneclient'
-           'python2-keystoneauth1' 'python2-osc-lib' 'python2-oslo-utils' 'python2-oslo-i18n'
-           'python2-openstacksdk' 'python2-glanceclient' 'python2-novaclient'
-           'python2-cinderclient')
-
-  cd "$srcdir"/python-openstackclient-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-
-  mv "$pkgdir"/usr/bin/openstack{,2}
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-openstackclient/repos/community-any/PKGBUILD (from rev 442775, python-openstackclient/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-19 17:25:14 UTC (rev 442776)
@@ -0,0 +1,33 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgname=python-openstackclient
+pkgver=3.18.0
+pkgrel=2
+pkgdesc="OpenStack Command-line Client"
+arch=('any')
+url="https://docs.openstack.org/python-openstackclient/latest/"
+license=('Apache')
+depends=('python-six' 'python-pbr' 'python-babel' 'python-cliff' 'python-keystoneclient'
+         'python-keystoneauth1' 'python-osc-lib' 'python-oslo-utils' 'python-oslo-i18n'
+         'python-openstacksdk' 'python-glanceclient' 'python-novaclient' 'python-cinderclient')
+checkdepends=('python-oslotest' 'python-requests-mock')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/openstack/python-openstackclient/archive/$pkgver.tar.gz")
+sha512sums=('0b3b70649ce063155df85d4132be1cf598e97e734acfe24976b3dfaf91a6c8c9b982aff959beca8ed5deebbc9d33e1aeac6577ce85823fe7bfdf01fd5644a62d')
+
+export PBR_VERSION=$pkgver
+
+build() {
+  cd python-openstackclient-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd python-openstackclient-$pkgver
+  stestr run || warning "Tests failed: https://storyboard.openstack.org/#!/story/2003143"
+}
+
+package() {
+  cd python-openstackclient-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}


More information about the arch-commits mailing list